## python-pywebview 2.3%2Bdfsg

=== debian/changelog ===
python-pywebview (2.3+dfsg-1) unstable; urgency=low

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Remove trailing whitespaces.

  [ Michael Fladischer ]
  * New upstream release.
  * Clean up files in pywebview.egg-info to allow two builds in a row.
  * Install README.md in binary package.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Add debian/gbp.conf.
  * Use PYBUILD customization to skip tests.
  * Remove python3-pyqt5 from Build-Depends as tests are not run.
  * Use debhelper-compat and bump to version 12.
  * Remove python3-django from Depends as it is never imported.
  * Add CNF dependenies so all three possible backends (Qt5 WebEngine,
    Qt5 WebKit, GTK WebKit) are accepted.
  * Rename MIT license to Expat.

 -- Michael Fladischer <fladi@debian.org>  Sun, 17 Feb 2019 09:33:09 +0100

python-pywebview (2.2.1+dfsg-4) unstable; urgency=medium

  * Add Conflict/Replace

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 02 Jan 2019 19:42:48 +0100

python-pywebview (2.2.1+dfsg-3) unstable; urgency=medium

  * Fix copyright syntax
  * Rename binary package according to module name

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 02 Jan 2019 18:25:25 +0100

python-pywebview (2.2.1+dfsg-2) unstable; urgency=medium

  * Add comment for disabled tests
  * Add missing copyrights.
    Thanks to Chris Lamb (Closes: #917771)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 02 Jan 2019 17:49:46 +0100

python-pywebview (2.2.1+dfsg-1) unstable; urgency=low

  * Initial release. Closes: #917621

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 23 Dec 2018 16:36:22 +0100

## python-pywebview 2.3+dfsg

=== examples/flask_app/requirements.txt ===
flask
pywebview

=== debian/control ===
Source: python-pywebview
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends:
 debhelper-compat (=12),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.3.0
Homepage: https://github.com/r0x0r/pywebview
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pywebview.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pywebview
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-webview
Architecture: all
Multi-Arch: foreign
Depends:
 python3-pyqt5.qtwebengine | python3-pyqt5.qtwebkit | gir1.2-gtk-3.0,
 python3-pyqt5.qtwebengine | python3-pyqt5.qtwebkit | gir1.2-webkit2-4.0,
 python3-pyqt5.qtwebengine | python3-pyqt5.qtwebkit | python3-gi,
 python3-pyqt5.qtwebengine | python3-pyqt5.qtwebkit | python3-gi-cairo,
 ${misc:Depends} ,
 ${python3:Depends},
Conflicts:
 python3-pywebview,
Replaces:
 python3-pywebview,
Description: Build GUI for your Python program with JavaScript, HTML, and CSS
 pywebview is a lightweight cross-platform wrapper around a webview component
 that allows on to display HTML content in its own native GUI window. It gives
 you power of web technologies in your desktop application, hiding the fact
 that GUI is browser based. You can use pywebview either with a lightweight web
 framework like Flask or Bottle or on its own with a two way bridge between
 Python and DOM.
 .
 pywebview uses native GUI for creating a web component window: WinForms on
 Windows, Cocoa on macOS and QT or GTK+ on Linux. If you choose to freeze your
 application, pywebview does not bundle a heavy GUI toolkit or web renderer
 with it keeping the executable size small. pywebview is compatible with both
 Python 2 and 3.

## python-pywebview 3.3.5+dfsg

=== debian/changelog ===
python-pywebview (3.3.5+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 14 Dec 2022 20:49:02 +0000

python-pywebview (3.3.5+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Francisco Vilmar Cardoso Ruviaro ]
  * New upstream version 3.3.5+dfsg.
  * debian/control:
      - Bumped DH level to 13.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright:
      - Added 'docs/.vuepress/public/2.4/assets/js' in Files-Excluded field.
      - Added new rights.
      - Updated packaging copyright.
      - Updated upstream copyright years.
  * debian/upstream/metadata: added Repository and Repository-Browse fields.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sun, 11 Oct 2020 18:16:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: python-pywebview
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends:
- debhelper-compat (=12),
+ debhelper-compat (=13),
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/r0x0r/pywebview
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pywebview.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pywebview
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pywebview.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pywebview
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python

## python-pywebview 5.0.5+dfsg

=== requirements.txt ===
pythonnet; sys_platform == "win32"
pyobjc-core; sys_platform == "darwin"
pyobjc-framework-Cocoa; sys_platform == "darwin"
pyobjc-framework-WebKit; sys_platform == "darwin"
pyobjc-framework-Security; sys_platform == "darwin"
PyQt5; sys_platform == "openbsd6" or sys_platform == "linux"
pyqtwebengine; sys_platform == "openbsd6" or sys_platform == "linux"
QtPy; sys_platform == "openbsd6" or sys_platform == "linux"
importlib_resources; python_version < "3.7"
proxy_tools
bottle
cryptography

=== examples/flask_app/requirements.txt ===


=== debian/changelog ===
python-pywebview (5.0.5+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add patch to avoid dependency on proxy_tools which is not in Debian
    (Closes: #1063096)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 14:51:18 -0400

python-pywebview (4.4.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Depend on webkit2gtk 4.1 instead of 4.0
  * Drop alternate dependencies on Python bindings for qtwebengine-opensource-src
    since it is not supported by the Debian Security Team
  * Add pybuild-plugin-pyproject to Build-Depends
  * Add patch to adjust build for the dlls we exclude
  * Set upstream metadata fields: Security-Contact
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Jan 2024 17:36:15 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.1
+ pybuild-plugin-pyproject
+Standards-Version: 4.6.2
 Homepage: https://github.com/r0x0r/pywebview
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pywebview.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pywebview
@@ -20,10 +21,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- python3-pyqt5.qtwebengine | python3-pyqt5.qtwebkit | gir1.2-gtk-3.0,
- python3-pyqt5.qtwebengine | python3-pyqt5.qtwebkit | gir1.2-webkit2-4.0,
- python3-pyqt5.qtwebengine | python3-pyqt5.qtwebkit | python3-gi,
- python3-pyqt5.qtwebengine | python3-pyqt5.qtwebkit | python3-gi-cairo,
+ gir1.2-webkit2-4.1,
+ python3-gi,
+ python3-gi-cairo,
  ${misc:Depends} ,
  ${python3:Depends},
 Conflicts:

=== debian/rules ===
#!/usr/bin/make -f

# tests need a running X server and some internet disabled for the buildd
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-pywebview 6.0+dfsg

=== requirements.txt ===
pythonnet; sys_platform == "win32"
pyobjc-core; sys_platform == "darwin"
pyobjc-framework-Cocoa; sys_platform == "darwin"
pyobjc-framework-Quartz; sys_platform == "darwin"
pyobjc-framework-WebKit; sys_platform == "darwin"
pyobjc-framework-Security; sys_platform == "darwin"
PyQt6; sys_platform == "openbsd6" or sys_platform == "linux"
PyQt6-WebEngine; sys_platform == "openbsd6" or sys_platform == "linux"
QtPy; sys_platform == "openbsd6" or sys_platform == "linux"
importlib_resources; python_version < "3.7"
typing_extensions
proxy_tools
bottle
cryptography

=== debian/changelog ===
python-pywebview (6.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Add self to uploaders 
  * Remove jochensp from uploaders at his request
    (thanks for the work so far on this package)
  * Update patches
  * Update standards version to 4.7.2

 -- Jonathan Carter <jcc@debian.org>  Tue, 26 Aug 2025 14:48:30 +0200

python-pywebview (5.0.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version.
    (LP: #2063176)
  * Mark Debian-specific patches as not needing forwarding upstream.
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 26 Apr 2024 18:50:20 +0200

## python-pywebview 6.1+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -12,4 +12,3 @@
 proxy_tools
 bottle
 cryptography
-

=== debian/changelog ===
python-pywebview (6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update patch to remove proxy_tools dependency

 -- Jonathan Carter <jcc@debian.org>  Thu, 23 Oct 2025 11:40:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Jochen Sprickerhof <jspricke@debian.org>,
+ Jonathan Carter <jcc@debian.org>
 Build-Depends:
  debhelper-compat (=13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
+ python3-setuptools-scm,
  pybuild-plugin-pyproject
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/r0x0r/pywebview
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pywebview.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pywebview

=== debian/rules ===
--- 
+++ 
@@ -4,4 +4,4 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-pywebview-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//" \
    https://github.com/r0x0r/pywebview/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
